Bug 1847062 - gnome-remote-desktop crash on QXL graphics
Summary: gnome-remote-desktop crash on QXL graphics
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-remote-desktop
Version: 8.3
Hardware: x86_64
OS: All
unspecified
high
Target Milestone: rc
: 8.0
Assignee: Jonas Ådahl
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-15 14:45 UTC by Martin Krajnak
Modified: 2020-11-04 01:37 UTC (History)
4 users (show)

Fixed In Version: mutter-3.32.2-42.el8 gnome-remote-desktop-0.1.8-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:35:45 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
backtrace (15.19 KB, text/plain)
2020-06-15 14:45 UTC, Martin Krajnak
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:36:01 UTC

Description Martin Krajnak 2020-06-15 14:45:26 UTC
Created attachment 1697452 [details]
backtrace

Description of problem:
https://faf.lab.eng.brq.redhat.com/faf/problems/bthash/?bth=5ce80735d0b02b936fbfe50f154a9328ce3c557b&bth=314e819e280774ccd0c1defc0b76493f76a4d5ee

Version-Release number of selected component (if applicable):
pipewire-0.3.5-3.el8.x86_64
mutter-3.32.2-41.el8.x86_64
gnome-shell-3.32.2-18.el8.x86_64

How reproducible:
always

Steps to Reproduce:
1.Have a wayland session running
2.Turn on screensharing (search sharing via gnome-shell), configure a password
3.Connect through vinagre

Actual results:
after several seconds, the remote desktop crashes

Expected results:


Additional info:
(gdb) print errno
<mkrajnak> $1 = 38

Comment 1 Wim Taymans 2020-06-15 15:09:08 UTC
mmap failed because the dma-bufs are not mappable.

Comment 2 Wim Taymans 2020-06-15 15:17:24 UTC
gnome-remote-desktop should check the return value of mmap().

We should however not send dma-buf to clients when it can't be mmapped, until we can
negotiate this better.

Comment 5 Martin Krajnak 2020-06-19 08:43:44 UTC
 Fixed in mutter-3.32.2-42.el8, gnome-remote-desktop-0.1.8-2.el8

Comment 8 errata-xmlrpc 2020-11-04 01:35:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.